## protobuf 3.0.0~b2

=== cmake/CMakeLists.txt ===
# Minimum CMake required
cmake_minimum_required(VERSION 2.8)

# Project
project(protobuf C CXX)

# CMake policies
cmake_policy(SET CMP0022 NEW)

# Options
option(protobuf_VERBOSE "Enable for verbose output" OFF)
option(protobuf_BUILD_TESTS "Build tests" ON)
if (BUILD_SHARED_LIBS)
  set(protobuf_BUILD_SHARED_LIBS_DEFAULT ON)
else (BUILD_SHARED_LIBS)
  set(protobuf_BUILD_SHARED_LIBS_DEFAULT OFF)
endif (BUILD_SHARED_LIBS)
option(protobuf_BUILD_SHARED_LIBS "Build Shared Libraries" ${protobuf_BUILD_SHARED_LIBS_DEFAULT})
option(protobuf_MSVC_STATIC_RUNTIME "Link static runtime libraries" ON)
if (MSVC)
  set(protobuf_WITH_ZLIB_DEFAULT OFF)
else (MSVC)
  set(protobuf_WITH_ZLIB_DEFAULT ON)
endif (MSVC)
option(protobuf_WITH_ZLIB "Build with zlib support" ${protobuf_WITH_ZLIB_DEFAULT})
set(protobuf_DEBUG_POSTFIX "d"
  CACHE STRING "Default debug postfix")

# Path to main configure script
set(protobuf_CONFIGURE_SCRIPT "../configure.ac")

# Parse configure script
set(protobuf_AC_INIT_REGEX
  "^AC_INIT\\(\\[([^]]+)\\],\\[([^]]+)\\],\\[([^]]+)\\],\\[([^]]+)\\]\\)$")
file(STRINGS "${protobuf_CONFIGURE_SCRIPT}" protobuf_AC_INIT_LINE
  LIMIT_COUNT 1 REGEX "^AC_INIT")
# Description
string(REGEX REPLACE        "${protobuf_AC_INIT_REGEX}" "\\1"
    protobuf_DESCRIPTION    "${protobuf_AC_INIT_LINE}")
# Version
string(REGEX REPLACE        "${protobuf_AC_INIT_REGEX}" "\\2"
    protobuf_VERSION_STRING "${protobuf_AC_INIT_LINE}")
# Contact
string(REGEX REPLACE        "${protobuf_AC_INIT_REGEX}" "\\3"
    protobuf_CONTACT        "${protobuf_AC_INIT_LINE}")
# Parse version tweaks
set(protobuf_VERSION_REGEX "^([0-9]+)\\.([0-9]+)\\.([0-9]+).*$")
string(REGEX REPLACE     "${protobuf_VERSION_REGEX}" "\\1"
  protobuf_VERSION_MAJOR "${protobuf_VERSION_STRING}")
string(REGEX REPLACE     "${protobuf_VERSION_REGEX}" "\\2"
  protobuf_VERSION_MINOR "${protobuf_VERSION_STRING}")
string(REGEX REPLACE     "${protobuf_VERSION_REGEX}" "\\3"
  protobuf_VERSION_PATCH "${protobuf_VERSION_STRING}")
# Package version
set(protobuf_VERSION
  "${protobuf_VERSION_MAJOR}.${protobuf_VERSION_MINOR}.${protobuf_VERSION_PATCH}")

if(protobuf_VERBOSE)
  message(STATUS "Configuration script parsing status [")
  message(STATUS "  Description : ${protobuf_DESCRIPTION}")
  message(STATUS "  Version     : ${protobuf_VERSION} (${protobuf_VERSION_STRING})")
  message(STATUS "  Contact     : ${protobuf_CONTACT}")
  message(STATUS "]")
endif()

add_definitions(-DGOOGLE_PROTOBUF_CMAKE_BUILD)

find_package(Threads REQUIRED)
if (CMAKE_USE_PTHREADS_INIT)
  add_definitions(-DHAVE_PTHREAD)
endif (CMAKE_USE_PTHREADS_INIT)

if (protobuf_WITH_ZLIB)
  find_package(ZLIB)
  if (ZLIB_FOUND)
    set(HAVE_ZLIB 1)
    # FindZLIB module define ZLIB_INCLUDE_DIRS variable
    # Set ZLIB_INCLUDE_DIRECTORIES for compatible
    set(ZLIB_INCLUDE_DIRECTORIES ${ZLIB_INCLUDE_DIRECTORIES} ${ZLIB_INCLUDE_DIRS})
    # Using imported target if exists
    if (TARGET ZLIB::ZLIB)
      set(ZLIB_LIBRARIES ZLIB::ZLIB)
    endif (TARGET ZLIB::ZLIB)
  else (ZLIB_FOUND)
    set(HAVE_ZLIB 0)
    # Explicitly set these to empty (override NOT_FOUND) so cmake doesn't
    # complain when we use them later.
    set(ZLIB_INCLUDE_DIRECTORIES)
    set(ZLIB_LIBRARIES)
  endif (ZLIB_FOUND)
endif (protobuf_WITH_ZLIB)

if (HAVE_ZLIB)
  add_definitions(-DHAVE_ZLIB)
endif (HAVE_ZLIB)

if (protobuf_BUILD_SHARED_LIBS)
  set(protobuf_SHARED_OR_STATIC "SHARED")
else (protobuf_BUILD_SHARED_LIBS)
  set(protobuf_SHARED_OR_STATIC "STATIC")
  # In case we are building static libraries, link also the runtime library statically
  # so that MSVCR*.DLL is not required at runtime.
  # https://msdn.microsoft.com/en-us/library/2kzt1wy3.aspx
  # This is achieved by replacing msvc option /MD with /MT and /MDd with /MTd
  # http://www.cmake.org/Wiki/CMake_FAQ#How_can_I_build_my_MSVC_application_with_a_static_runtime.3F
  if (MSVC AND protobuf_MSVC_STATIC_RUNTIME)
    foreach(flag_var
        CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
        CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
      if(${flag_var} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
      endif(${flag_var} MATCHES "/MD")
    endforeach(flag_var)
  endif (MSVC AND protobuf_MSVC_STATIC_RUNTIME)
endif (protobuf_BUILD_SHARED_LIBS)

if (MSVC)
  # Build with multiple processes
  add_definitions(/MP)
  add_definitions(/wd4244 /wd4267 /wd4018 /wd4355 /wd4800 /wd4251 /wd4996 /wd4146 /wd4305)
  string(REPLACE "/" "\\" PROTOBUF_SOURCE_WIN32_PATH ${protobuf_SOURCE_DIR})
  string(REPLACE "/" "\\" PROTOBUF_BINARY_WIN32_PATH ${protobuf_BINARY_DIR})
  configure_file(extract_includes.bat.in extract_includes.bat)
endif (MSVC)

get_filename_component(protobuf_source_dir ${protobuf_SOURCE_DIR} PATH)

include_directories(
  ${ZLIB_INCLUDE_DIRECTORIES}
  ${protobuf_BINARY_DIR}
  ${protobuf_source_dir}/src)

if (MSVC)
  # Add the "lib" prefix for generated .lib outputs.
  set(LIB_PREFIX lib)
else (MSVC)
  # When building with "make", "lib" prefix will be added automatically by
  # the build tool.
  set(LIB_PREFIX)
endif (MSVC)

include(libprotobuf-lite.cmake)
include(libprotobuf.cmake)
include(libprotoc.cmake)
include(protoc.cmake)

if (protobuf_BUILD_TESTS)
  include(tests.cmake)
endif (protobuf_BUILD_TESTS)

include(install.cmake)

=== debian/changelog ===
protobuf (3.0.0~b2-1) xenial; urgency=medium

  * Non-maintainer upload.
  * New upstream release

 -- Romain Acciari <romain.acciari@openio.io>  Mon, 11 Apr 2016 09:24:09 +0000

=== debian/control ===
Source: protobuf
Section: devel
Priority: optional
Maintainer: Robert Edmonds <edmonds@debian.org>
Uploaders: Iustin Pop <iustin@debian.org>
Build-Depends:
# Debian build system
 dpkg-dev (>= 1.16.1~)
 , debhelper (>= 9)
 , dh-autoreconf
# C/C++
 , g++ (>= 4:4.7)
 , zlib1g-dev
# Python
 , dh-python
 , python-all (>= 2.7)
 , libpython-all-dev (>= 2.7)
 , python-setuptools
 , python-google-apputils
# , google-mock
# , libgtest-dev
# Manpage generator
 , xmlto
# Tests
 , unzip
Build-Depends-Indep:
# Java
 , ant
 , default-jdk
 , maven-repo-helper
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/protobuf/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/protobuf.git
Vcs-Git: git://anonscm.debian.org/collab-maint/protobuf.git
X-Python-Version: >= 2.7

Package: libprotobuf10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: protocol buffers C++ library
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the runtime library needed for C++ applications.

Package: libprotobuf-lite10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: protocol buffers C++ library (lite version)
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the runtime library needed for C++ applications whose
 message definitions have the "lite runtime" optimization setting.

Package: libprotobuf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, zlib1g-dev,
 libprotobuf10 (= ${binary:Version}), libprotobuf-lite10 (= ${binary:Version})
Description: protocol buffers C++ library (development files)
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the development headers and static libraries needed for
 writing C++ applications.

Package: libprotoc10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: protocol buffers compiler library
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the runtime library needed for the protocol buffer
 compiler.

Package: libprotoc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
 libprotoc10 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
Replaces: libprotobuf-dev (<< 2.1.0)
Breaks: libprotobuf-dev (<< 2.1.0)
Description: protocol buffers compiler library (development files)
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the development headers and static library needed for
 writing protobuf compilers.

Package: protobuf-compiler
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc10 (= ${binary:Version})
Description: compiler for protocol buffer definition files
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the protocol buffer compiler that is used for
 translating from .proto files (containing the definitions) to the language
 binding for the supported languages.

Package: python-protobuf
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Python bindings for protocol buffers
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the Python bindings for the protocol buffers. You will
 need the protoc tool (in the protobuf-compiler package) to compile your
 definition to Python classes, and then the modules in this package will allow
 you to use those classes in your programs.

Package: libprotobuf-java
Architecture: all
Depends: ${misc:Depends}
Section: java
Description: Java bindings for protocol buffers
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the Java bindings for the protocol buffers. You will
 need the protoc tool (in the protobuf-compiler package) to compile your
 definition to Java classes, and then the modules in this package will allow
 you to use those classes in your programs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf,python2

override_dh_auto_build-arch:
	dh_auto_build --arch

	# Generate the manpage.
	xmlto man debian/protoc.xml

	# Python build.
	cd python && python setup.py build --cpp_implementation

override_dh_auto_build-indep:
	dh_auto_build --indep

	# Java build.
	ant -f debian/java-build.xml jar

override_dh_auto_test-arch:
	echo 'Skipping tests/checks'
#	dh_auto_test --arch
#
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	# Python test.
#	set -e; \
#	export LD_LIBRARY_PATH=$(CURDIR)/src/.libs; \
#	cd python && for python in $(shell pyversions -r); do \
#		$$python setup.py test --cpp_implementation; \
#	done
#endif

override_dh_auto_test-indep:
	:

override_dh_auto_clean-arch:
	dh_auto_clean --arch

	# Python clean.
	set -e; \
	cd python && for python in $(shell pyversions -r); do \
		$$python setup.py clean --all; \
	done
	rm -rf python/protobuf.egg-info

override_dh_auto_clean-indep:
	dh_auto_clean --indep

	# Java clean.
	ant -f debian/java-build.xml clean || true
	mh_clean || true

override_dh_auto_install-arch:
	dh_auto_install --arch

	# Python install.
	set -e; \
	cd python && for python in $(shell pyversions -r); do \
		$$python setup.py install --cpp_implementation \
			--install-layout=deb --no-compile \
			--root=$(CURDIR)/debian/python-protobuf; \
	done
	find $(CURDIR)/debian/python-protobuf -name 'protobuf-*-nspkg.pth' -delete

override_dh_auto_install-indep:
	dh_auto_install --indep

	# Java install.
	mh_install

override_dh_install:
	dh_install

	# Convert doc dir to symlink for the -dev packages.
	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
	ln -s libprotobuf10 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
	rm -rf $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
	ln -s libprotoc10 $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev

	# Remove compiler headers from libprotobuf-dev.
	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/include/google/protobuf/compiler

## protobuf 3.0.0

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,28 @@
 # Minimum CMake required
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.12)
+
+if(protobuf_VERBOSE)
+  message(STATUS "Protocol Buffers Configuring...")
+endif()
+
+# CMake policies
+cmake_policy(SET CMP0022 NEW)
 
 # Project
 project(protobuf C CXX)
 
-# CMake policies
-cmake_policy(SET CMP0022 NEW)
-
 # Options
-option(protobuf_VERBOSE "Enable for verbose output" OFF)
 option(protobuf_BUILD_TESTS "Build tests" ON)
+option(protobuf_BUILD_EXAMPLES "Build examples" OFF)
 if (BUILD_SHARED_LIBS)
   set(protobuf_BUILD_SHARED_LIBS_DEFAULT ON)
 else (BUILD_SHARED_LIBS)
   set(protobuf_BUILD_SHARED_LIBS_DEFAULT OFF)
 endif (BUILD_SHARED_LIBS)
 option(protobuf_BUILD_SHARED_LIBS "Build Shared Libraries" ${protobuf_BUILD_SHARED_LIBS_DEFAULT})
-option(protobuf_MSVC_STATIC_RUNTIME "Link static runtime libraries" ON)
+include(CMakeDependentOption)
+cmake_dependent_option(protobuf_MSVC_STATIC_RUNTIME "Link static runtime libraries" ON
+  "NOT protobuf_BUILD_SHARED_LIBS" OFF)
 if (MSVC)
   set(protobuf_WITH_ZLIB_DEFAULT OFF)
 else (MSVC)
@@ -25,6 +31,9 @@
 option(protobuf_WITH_ZLIB "Build with zlib support" ${protobuf_WITH_ZLIB_DEFAULT})
 set(protobuf_DEBUG_POSTFIX "d"
   CACHE STRING "Default debug postfix")
+mark_as_advanced(protobuf_DEBUG_POSTFIX)
+# User options
+include(protobuf-options.cmake)
 
 # Path to main configure script
 set(protobuf_CONFIGURE_SCRIPT "../configure.ac")
@@ -44,16 +53,23 @@
 string(REGEX REPLACE        "${protobuf_AC_INIT_REGEX}" "\\3"
     protobuf_CONTACT        "${protobuf_AC_INIT_LINE}")
 # Parse version tweaks
-set(protobuf_VERSION_REGEX "^([0-9]+)\\.([0-9]+)\\.([0-9]+).*$")
+set(protobuf_VERSION_REGEX "^([0-9]+)\\.([0-9]+)\\.([0-9]+)-?(.*)$")
 string(REGEX REPLACE     "${protobuf_VERSION_REGEX}" "\\1"
   protobuf_VERSION_MAJOR "${protobuf_VERSION_STRING}")
 string(REGEX REPLACE     "${protobuf_VERSION_REGEX}" "\\2"
   protobuf_VERSION_MINOR "${protobuf_VERSION_STRING}")
 string(REGEX REPLACE     "${protobuf_VERSION_REGEX}" "\\3"
   protobuf_VERSION_PATCH "${protobuf_VERSION_STRING}")
+string(REGEX REPLACE     "${protobuf_VERSION_REGEX}" "\\4"
+  protobuf_VERSION_PRERELEASE "${protobuf_VERSION_STRING}")
+
 # Package version
 set(protobuf_VERSION
   "${protobuf_VERSION_MAJOR}.${protobuf_VERSION_MINOR}.${protobuf_VERSION_PATCH}")
+
+if(protobuf_VERSION_PRERELEASE)
+  set(protobuf_VERSION "${protobuf_VERSION}-${protobuf_VERSION_PRERELEASE}")
+endif()
 
 if(protobuf_VERBOSE)
   message(STATUS "Configuration script parsing status [")
@@ -118,6 +134,8 @@
   # Build with multiple processes
   add_definitions(/MP)
   add_definitions(/wd4244 /wd4267 /wd4018 /wd4355 /wd4800 /wd4251 /wd4996 /wd4146 /wd4305)
+  # Allow big object
+  add_definitions(/bigobj)
   string(REPLACE "/" "\\" PROTOBUF_SOURCE_WIN32_PATH ${protobuf_SOURCE_DIR})
   string(REPLACE "/" "\\" PROTOBUF_BINARY_WIN32_PATH ${protobuf_BINARY_DIR})
   configure_file(extract_includes.bat.in extract_includes.bat)
@@ -149,3 +167,11 @@
 endif (protobuf_BUILD_TESTS)
 
 include(install.cmake)
+
+if (protobuf_BUILD_EXAMPLES)
+  include(examples.cmake)
+endif (protobuf_BUILD_EXAMPLES)
+
+if(protobuf_VERBOSE)
+    message(STATUS "Protocol Buffers Configuring done")
+endif()

=== examples/CMakeLists.txt ===
# Minimum CMake required
cmake_minimum_required(VERSION 2.8.12)

# Project
project(protobuf-examples)

# Find required protobuf package
find_package(protobuf CONFIG REQUIRED)

if(protobuf_VERBOSE)
  message(STATUS "Using Protocol Buffers ${Protobuf_VERSION}")
endif()

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

# http://www.cmake.org/Wiki/CMake_FAQ#How_can_I_build_my_MSVC_application_with_a_static_runtime.3F
if(MSVC AND protobuf_MSVC_STATIC_RUNTIME)
  foreach(flag_var
      CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
      CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
    if(${flag_var} MATCHES "/MD")
      string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
    endif(${flag_var} MATCHES "/MD")
  endforeach()
endif()

foreach(example add_person list_people)
  set(${example}_SRCS ${example}.cc)
  set(${example}_PROTOS addressbook.proto)

  #Code Generation
  if(protobuf_MODULE_COMPATIBLE) #Legacy Support
    protobuf_generate_cpp(${example}_PROTO_SRCS ${example}_PROTO_HDRS ${${example}_PROTOS})
    list(APPEND ${example}_SRCS ${${example}_PROTO_SRCS} ${${example}_PROTO_HDRS})
  else()

    foreach(proto_file ${${example}_PROTOS})
      get_filename_component(proto_file_abs ${proto_file} ABSOLUTE)
      get_filename_component(basename ${proto_file} NAME_WE)
      set(generated_files ${basename}.pb.cc ${basename}.pb.h)
      list(APPEND ${example}_SRCS ${generated_files})

      add_custom_command(
        OUTPUT ${generated_files}
        COMMAND protobuf::protoc
        ARGS --cpp_out ${CMAKE_CURRENT_BINARY_DIR} -I ${CMAKE_CURRENT_SOURCE_DIR} ${proto_file_abs}
        COMMENT "Generating ${generated_files} from ${proto_file}"
        VERBATIM
      )
    endforeach()
  endif()

  #Executable setup
  set(executable_name ${example}_cpp)
  add_executable(${executable_name} ${${example}_SRCS} ${${example}_PROTOS})
  if(protobuf_MODULE_COMPATIBLE) #Legacy mode
    target_include_directories(${executable_name} PUBLIC ${PROTOBUF_INCLUDE_DIRS})
    target_link_libraries(${executable_name} ${PROTOBUF_LIBRARIES})
  else()
    target_link_libraries(${executable_name} protobuf::libprotobuf)
  endif()

endforeach()

=== examples/Makefile ===
# See README.txt.

.PHONY: all cpp java python clean

all: cpp java python

cpp:    add_person_cpp    list_people_cpp
go:     add_person_go     list_people_go
gotest: add_person_gotest list_people_gotest
java:   add_person_java   list_people_java
python: add_person_python list_people_python

clean:
	rm -f add_person_cpp list_people_cpp add_person_java list_people_java add_person_python list_people_python
	rm -f javac_middleman AddPerson*.class ListPeople*.class com/example/tutorial/*.class
	rm -f protoc_middleman addressbook.pb.cc addressbook.pb.h addressbook_pb2.py com/example/tutorial/AddressBookProtos.java
	rm -f *.pyc
	rm -f protoc_middleman_go tutorial/*.pb.go add_person_go list_people_go
	rmdir tutorial 2>/dev/null || true
	rmdir com/example/tutorial 2>/dev/null || true
	rmdir com/example 2>/dev/null || true
	rmdir com 2>/dev/null || true

protoc_middleman: addressbook.proto
	protoc --cpp_out=. --java_out=. --python_out=. addressbook.proto
	@touch protoc_middleman

protoc_middleman_go: addressbook.proto
	mkdir tutorial # make directory for go package
	protoc --go_out=tutorial addressbook.proto
	@touch protoc_middleman_go

add_person_cpp: add_person.cc protoc_middleman
	pkg-config --cflags protobuf  # fails if protobuf is not installed
	c++ add_person.cc addressbook.pb.cc -o add_person_cpp `pkg-config --cflags --libs protobuf`

list_people_cpp: list_people.cc protoc_middleman
	pkg-config --cflags protobuf  # fails if protobuf is not installed
	c++ list_people.cc addressbook.pb.cc -o list_people_cpp `pkg-config --cflags --libs protobuf`

add_person_go: add_person.go protoc_middleman_go
	go build -o add_person_go add_person.go

add_person_gotest: add_person_test.go add_person_go
	go test add_person.go add_person_test.go

list_people_go: list_people.go protoc_middleman_go
	go build -o list_people_go list_people.go

list_people_gotest: list_people.go list_people_go
	go test list_people.go list_people_test.go

javac_middleman: AddPerson.java ListPeople.java protoc_middleman
	javac AddPerson.java ListPeople.java com/example/tutorial/AddressBookProtos.java
	@touch javac_middleman

add_person_java: javac_middleman
	@echo "Writing shortcut script add_person_java..."
	@echo '#! /bin/sh' > add_person_java
	@echo 'java -classpath .:$$CLASSPATH AddPerson "$$@"' >> add_person_java
	@chmod +x add_person_java

list_people_java: javac_middleman
	@echo "Writing shortcut script list_people_java..."
	@echo '#! /bin/sh' > list_people_java
	@echo 'java -classpath .:$$CLASSPATH ListPeople "$$@"' >> list_people_java
	@chmod +x list_people_java

add_person_python: add_person.py protoc_middleman
	@echo "Writing shortcut script add_person_python..."
	@echo '#! /bin/sh' > add_person_python
	@echo './add_person.py "$$@"' >> add_person_python
	@chmod +x add_person_python

list_people_python: list_people.py protoc_middleman
	@echo "Writing shortcut script list_people_python..."
	@echo '#! /bin/sh' > list_people_python
	@echo './list_people.py "$$@"' >> list_people_python
	@chmod +x list_people_python

=== debian/changelog ===
protobuf (3.0.0-9.1ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Null pointer dereference issue
    - debian/patches/CVE-2021-22570.patch: fix null pointer dereference
    - CVE-2021-22570
  * SECURITY UPDATE: Dos vulnerability in cpp and python parser
    - debian/patches/CVE-2022-1941.patch: fix parsing vulnerability for the
      MessageSet type
    - CVE-2022-1941

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 09 Mar 2023 14:14:21 +0530

protobuf (3.0.0-9.1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run jdbc-tests autopkg test allowing output on stderr (warning with
      illegal reflective access operation on OpenJDK 9).
    - Backport upstream fix to hide unnecessary exported symbols

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Mar 2018 11:08:42 +0200

protobuf (3.0.0-9.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Mattia Rizzolo ]
  * Apply patch from Ubuntu to fix tests with Python 3.6.  Closes: #862805
  * Add missing Build-Depends on python-six.

  [ Helmut Grohne ]
  * Fix FTCBFS:
    + Remove unneeded versioned Build-Depends on g++ (satisfied in oldstable).
    + Remove unused Build-Depends on python-google-apputils.
    + Build-Depend on python(3)-all-dev instead of python(3)-all +
      libpython(3)-all-dev.
    + Run generate_descriptor_proto.sh on a native build before performing
      the actual cross build.
    + Save the native protoc in debian/native_protoc/ and pass it to the
      cross build via --with-protoc.
    + Set up environment variables for cross building python extensions.
    + Fix the loops used for the python(3) builds install and tests, to
      actually build for all python versions and tests them all.
    + Closes: #846343

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 16 Oct 2017 13:34:16 +0200

protobuf (3.0.0-9ubuntu6) bionic; urgency=medium

  * Run jdbc-tests autopkg test allowing output on stderr (warning with
    illegal reflective access operation on OpenJDK 9).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Mar 2018 15:39:23 +0800

protobuf (3.0.0-9ubuntu5) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 22:12:11 +1200

protobuf (3.0.0-9ubuntu4) artful; urgency=medium

  * Fix build with Python 3.6. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 May 2017 11:42:39 +1200

protobuf (3.0.0-9ubuntu3) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 12:10:07 +1200

protobuf (3.0.0-9ubuntu2) zesty; urgency=low

  * debian/patches/Hide-unnecessary-exported-library-symbols.patch:
    - Backport upstream fix to hide unnecessary exported symbols
      (LP: #1667352)
  * debian/patches/fix-reload.diff:
    - Removed, not needed anymore.

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Thu, 16 Mar 2017 12:10:45 +0200

protobuf (3.0.0-9ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix reloading of the shared libraries with dlopen. LP: #1619616.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 Dec 2016 09:08:03 +0100

protobuf (3.0.0-9) unstable; urgency=medium

  * Backport upstream fix for Python 3 build failure (closes: #845686).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Nov 2016 16:11:01 +0000

protobuf (3.0.0-8) unstable; urgency=medium

  [ Zhou Mo <cdluminate@gmail.com> ]
  * Build python3-protobuf, thanks to Thomas Viehmann (closes: #836821).
  * Add the missing B-D "libgtest-dev" (closes: #836826).
  * Add "python3-six" to B-D, which is required by python3 test.

  [ Bart Martens <bartm@debian.org> ]
  * Generalize watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Nov 2016 17:33:28 +0000

protobuf (3.0.0-7ubuntu3) yakkety; urgency=medium

  [ Alan Griffiths ]
  * Fix reloading of the shared libraries with dlopen. LP: #1619616.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Sep 2016 14:19:44 +0200

protobuf (3.0.0-7) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Added patch by Srivats P to restore New*Callback into google::protobuf
    namespace. Required for ostinato (#835435). (Closes: #836200).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 02 Sep 2016 16:57:13 +1000

protobuf (3.0.0-6) unstable; urgency=medium

  * New "java-test-scope.patch" to set scope of "junit" and "easymock" to
    "test" (Closes: #835514).
    Thanks, Markus Koschany.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 27 Aug 2016 09:02:16 +1000

protobuf (3.0.0-5) unstable; urgency=medium

  * Team upload.
  * Removed obsolete Conflicts/Replaces (Closes: #835385).
    Thanks, Robert Edmonds.
  * New patch to fix "EXPECT_DEATH" FTBFS on kFreeBSD (Closes: #835388).
    Thanks, Bas Couwenberg.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 26 Aug 2016 08:36:08 +1000

protobuf (3.0.0-4) unstable; urgency=low

  * Team upload.
  * Updated "libprotobuf-java.poms" (Closes: #835358).
    Thanks, Markus Koschany.
  * Added new patches to fix FTBFS on s390x and sparc64 (Closes: #835290).
    Thanks, Aurelien Jarno; thanks Sebastiaan Couwenberg.
  * New patch to fix FTBFS on Hurd (Closes: #835267).
    Thanks, Sebastiaan Couwenberg.
  * rules: removed "-O0" #796069 workaround for mips(el).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 25 Aug 2016 11:28:07 +1000

protobuf (3.0.0-3) unstable; urgency=low

  [ Bas Couwenberg ]
  * Added new patch to fix FTBFS "misleading indentation" (Closes: #835266).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 Aug 2016 13:54:36 +1000

protobuf (3.0.0-2) unstable; urgency=medium

  * rules: invoke "generate_descriptor_proto.sh" to re-generate pre-built
    .pb.go files if necessary.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 Aug 2016 13:19:43 +1000

protobuf (3.0.0-1) unstable; urgency=low

  * Team upload.


=== debian/control ===
--- 
+++ 
@@ -1,37 +1,45 @@
 Source: protobuf
 Section: devel
 Priority: optional
-Maintainer: Robert Edmonds <edmonds@debian.org>
-Uploaders: Iustin Pop <iustin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian protobuf maintainers <pkg-protobuf-devel@lists.alioth.debian.org>
+Uploaders:
+ Robert Edmonds <edmonds@debian.org>,
+ Iustin Pop <iustin@debian.org>,
+ Laszlo Boszormenyi (GCS) <gcs@debian.org>,
+ Andrew Pollock <apollock@debian.org>
 Build-Depends:
 # Debian build system
  dpkg-dev (>= 1.16.1~)
  , debhelper (>= 9)
  , dh-autoreconf
 # C/C++
- , g++ (>= 4:4.7)
  , zlib1g-dev
+ , google-mock
+ , libgtest-dev
 # Python
  , dh-python
- , python-all (>= 2.7)
- , libpython-all-dev (>= 2.7)
+ , python-all:any
+ , libpython-all-dev
+ , python3-all:any
+ , libpython3-all-dev
  , python-setuptools
- , python-google-apputils
-# , google-mock
-# , libgtest-dev
+ , python-six
+ , python3-setuptools
+ , python3-six
 # Manpage generator
  , xmlto
 # Tests
  , unzip
 Build-Depends-Indep:
 # Java
- , ant
+ ant
  , default-jdk
  , maven-repo-helper
-Standards-Version: 3.9.5
-Homepage: https://code.google.com/p/protobuf/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/protobuf.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/protobuf.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/google/protobuf/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-protobuf/pkg-protobuf.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-protobuf/pkg-protobuf.git
 X-Python-Version: >= 2.7
 
 Package: libprotobuf10
@@ -178,6 +186,27 @@
  definition to Python classes, and then the modules in this package will allow
  you to use those classes in your programs.
 
+Package: python3-protobuf
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Description: Python 3 bindings for protocol buffers
+ Protocol buffers are a flexible, efficient, automated mechanism for
+ serializing structured data - similar to XML, but smaller, faster, and
+ simpler. You define how you want your data to be structured once, then you can
+ use special generated source code to easily write and read your structured
+ data to and from a variety of data streams and using a variety of languages.
+ You can even update your data structure without breaking deployed programs
+ that are compiled against the "old" format.
+ .
+ Google uses Protocol Buffers for almost all of its internal RPC protocols and
+ file formats.
+ .
+ This package contains the Python 3 bindings for the protocol buffers. You will
+ need the protoc tool (in the protobuf-compiler package) to compile your
+ definition to Python classes, and then the modules in this package will allow
+ you to use those classes in your programs.
+
 Package: libprotobuf-java
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CXX),default)
CXX := $(DEB_HOST_GNU_TYPE)-g++
endif

%:
	dh $@ --with autoreconf,python2,python3 --parallel

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
override_dh_auto_configure:
	# build for the native (i.e. build) architecture, as we need
	# the protoc compiler for the native arch.
	dh_auto_configure -- --host=$(DEB_BUILD_GNU_TYPE)

PYTHON_CROSS_VARS += PROTOC=$(CURDIR)/debian/run_protoc
PYTHON_CROSS_VARS += PYTHONPATH=/usr/lib/python$$pv/plat-$(DEB_HOST_MULTIARCH)
PYTHON_CROSS_VARS += _PYTHON_HOST_PLATFORM=$(DEB_HOST_ARCH_OS)-$(DEB_HOST_GNU_CPU)
PYTHON_CROSS_VARS += CC=$(CXX)
PYTHON_CROSS_VARS += CXX=$(CXX)
endif

override_dh_auto_build-arch:
## Chicken<->Egg problem: protobuf requires self-generated .pb.go files to
## be built. First we build it normally; then "generate_descriptor_proto.sh"
## generates .pb.go files and replaces 'em if they are different as well as
## invokes "make protoc" which re-builds "src/protoc" if required.
	dh_auto_build --arch
	bash -x ./generate_descriptor_proto.sh

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	# save the native compiler
	cp -Rv src/.libs debian/native_protoc
	# clean everything but regenerated .pb.{cc,go} files
	$(MAKE) clean
	# cross build
	dh_auto_configure -- --with-protoc=$(CURDIR)/debian/run_protoc
	dh_auto_build --arch
endif

	# Generate the manpage.
	xmlto man debian/protoc.xml

	# Python and Python3 build.
	cp -rv python python3
	set -e; cd python && for pv in $(shell pyversions -vr); do \
		$(PYTHON_CROSS_VARS) python$$pv setup.py build --cpp_implementation; \
	done
	set -e; cd python3 && for pv in $(shell py3versions -vr); do \
		$(PYTHON_CROSS_VARS) python$$pv setup.py build --cpp_implementation; \
	done

override_dh_auto_build-indep:
	dh_auto_build --indep

	# Java build.
	ant -f debian/java-build.xml jar

override_dh_clean:
	$(RM) -rv gmock
	dh_clean

override_dh_autoreconf: gmock
	dh_autoreconf

gmock:
	cp -rv debian/gmock ./
	cp -rv /usr/src/gmock/src gmock/
	cp -rv /usr/src/gtest/src gmock/gtest/

override_dh_auto_test-arch: gmock
	dh_auto_test --arch

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Python test.
	set -e; \
	export LD_LIBRARY_PATH=$(CURDIR)/src/.libs; \
	cd python && for PYTHON in $(shell pyversions -r); do \
		$$PYTHON setup.py test --cpp_implementation; \
	done
    # Python3 test.
	set -e; \
	export LD_LIBRARY_PATH=$(CURDIR)/src/.libs; \
	cd python3 && for PYTHON in $(shell py3versions -r); do \
		$$PYTHON setup.py test --cpp_implementation; \
	done
endif

override_dh_auto_test-indep:
	:
override_dh_auto_clean-arch:
	dh_auto_clean --arch

	# Python clean.
	set -e; \
	cd python && for python in $(shell pyversions -r); do \
		$$python setup.py clean --all; \
	done
	rm -rf python/protobuf.egg-info
	# Python3 clean.
	rm -rf python3

override_dh_auto_clean-indep:
	dh_auto_clean --indep

	# Java clean.
	ant -f debian/java-build.xml clean || true
	mh_clean || true

override_dh_auto_install-arch:
	dh_auto_install --arch

	# Python install.
	set -e; \
	cd python && for pv in $(shell pyversions -vr); do \
		$(PYTHON_CROSS_VARS) python$$pv setup.py install --cpp_implementation \
			--install-layout=deb --no-compile \
			--root=$(CURDIR)/debian/python-protobuf; \
	done
	find $(CURDIR)/debian/python-protobuf -name 'protobuf-*-nspkg.pth' -delete

	# Python3 install.
	set -e; \
	cd python3 && for pv in $(shell py3versions -vr); do \
		$(PYTHON_CROSS_VARS) python$$pv setup.py install --cpp_implementation \
			--install-layout=deb --no-compile \
			--root=$(CURDIR)/debian/python3-protobuf; \
	done
	find $(CURDIR)/debian/python3-protobuf -name 'protobuf-*-nspkg.pth' -delete

override_dh_auto_install-indep:
	dh_auto_install --indep

	# Java install.
	mh_install

override_dh_install-arch:
	dh_install --arch

	# Convert doc dir to symlink for the -dev packages.
	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
	ln -s libprotobuf10 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
	rm -rf $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
	ln -s libprotoc10 $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev

	# Remove compiler headers from libprotobuf-dev.
	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/include/google/protobuf/compiler

=== debian/tests/control ===
Tests: simple
Depends: @, make, python, pkg-config, zlib1g-dev, build-essential, default-jdk
Restrictions: allow-stderr

## protobuf 3.4.1-ubuntu1ppa1

=== debian/changelog ===
protobuf (3.4.1-ubuntu1ppa1-xenial) xenial; urgency=medium

  * Rebuild for ubuntu xenial

 -- Bartek Kryza <bkryza@gmail.com>  Wed, 18 Oct 2017 22:10:36 +0200

=== debian/control ===
--- 
+++ 
@@ -14,18 +14,19 @@
  , debhelper (>= 9)
  , dh-autoreconf
 # C/C++
+ , g++
  , zlib1g-dev
  , google-mock
  , libgtest-dev
 # Python
  , dh-python
- , python-all:any
- , libpython-all-dev
- , python3-all:any
- , libpython3-all-dev
+ , python-all (>= 2.7)
+ , libpython-all-dev (>= 2.7)
+ , python3-all (>= 3.3)
+ , libpython3-all-dev (>= 3.3)
  , python-setuptools
- , python-six
  , python3-setuptools
+ , python-google-apputils
  , python3-six
 # Manpage generator
  , xmlto
@@ -33,7 +34,7 @@
  , unzip
 Build-Depends-Indep:
 # Java
- ant
+ , ant
  , default-jdk
  , maven-repo-helper
 Standards-Version: 3.9.8

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autoreconf,python2,python3 --parallel

override_dh_auto_build-arch:
## Chicken<->Egg problem: protobuf requires self-generated .pb.go files to
## be built. First we build it normally; then "generate_descriptor_proto.sh"
## generates .pb.go files and replaces 'em if they are different as well as
## invokes "make protoc" which re-builds "src/protoc" if required.
	dh_auto_build --arch
	bash -x ./generate_descriptor_proto.sh

	# Generate the manpage.
	xmlto man debian/protoc.xml

	# Python and Python3 build.
	cp -rv python python3
	cd python && python setup.py build --cpp_implementation
	cd python3 && python3 setup.py build --cpp_implementation

override_dh_auto_build-indep:
	dh_auto_build --indep

	# Java build.
	ant -f debian/java-build.xml jar

override_dh_clean:
	$(RM) -rv gmock
	dh_clean

override_dh_autoreconf: gmock
	dh_autoreconf

gmock:
	cp -rv debian/gmock ./
	cp -rv /usr/src/gmock/src gmock/
	cp -rv /usr/src/gtest/src gmock/gtest/

override_dh_auto_test-arch: gmock
	dh_auto_test --arch

override_dh_auto_test-indep:
	:
override_dh_auto_clean-arch:
	dh_auto_clean --arch

	# Python clean.
	set -e; \
	cd python && for python in $(shell pyversions -r); do \
		$$python setup.py clean --all; \
	done
	rm -rf python/protobuf.egg-info
	# Python3 clean.
	rm -rf python3

override_dh_auto_clean-indep:
	dh_auto_clean --indep

	# Java clean.
	ant -f debian/java-build.xml clean || true
	mh_clean || true

override_dh_auto_install-arch:
	dh_auto_install --arch

	# Python install.
	set -e; \
	cd python && for python in $(shell pyversions -r); do \
		$$python setup.py install --cpp_implementation \
			--install-layout=deb --no-compile \
			--root=$(CURDIR)/debian/python-protobuf; \
	done
	find $(CURDIR)/debian/python-protobuf -name 'protobuf-*-nspkg.pth' -delete

	# Python3 install.
	cd python3 && for python in $(shell py3versions -r); do \
		$$python setup.py install --cpp_implementation \
			--install-layout=deb --no-compile \
			--root=$(CURDIR)/debian/python3-protobuf; \
	done
	find $(CURDIR)/debian/python3-protobuf -name 'protobuf-*-nspkg.pth' -delete

override_dh_auto_install-indep:
	dh_auto_install --indep

	# Java install.
	mh_install

override_dh_install-arch:
	dh_install --arch

	# Convert doc dir to symlink for the -dev packages.
	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
	ln -s libprotobuf10 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
	rm -rf $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
	ln -s libprotoc10 $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev

	# Remove compiler headers from libprotobuf-dev.
	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/include/google/protobuf/compiler
